CREATE TABLE bm_admin_audit (
    ID               NUMBER(18, 0) ,
    USER_ID          NUMBER(18, 0)     NOT NULL,
    ACTION_TYPE      NUMBER(2, 0)      NOT NULL,
    SECTION          NUMBER(2, 0)      NOT NULL,
    LOG_MESSAGE      VARCHAR2(4000)    NOT NULL,
    DATE_ADDED       DATE              NOT NULL,
    DATE_MODIFIED    DATE              NOT NULL,
    REF_ID           NUMBER(18, 0) ,
    ID               NUMBER(18, 0) ,
    USER_ID          NUMBER(18, 0)     NOT NULL,
    ACTION_TYPE      NUMBER(2, 0)      NOT NULL,
    SECTION          NUMBER(2, 0)      NOT NULL,
    LOG_MESSAGE      VARCHAR2(4000)    NOT NULL,
    DATE_ADDED       DATE              NOT NULL,
    DATE_MODIFIED    DATE              NOT NULL,
    REF_ID           NUMBER(18, 0) ,
    CONSTRAINT pk_bm_admin_audit PRIMARY KEY (ID, ID)
);
